<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::structural_svm_sequence_labeling_problem&lt; feature_extractor &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1structural__svm__sequence__labeling__problem.html">structural_svm_sequence_labeling_problem</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1structural__svm__sequence__labeling__problem-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::structural_svm_sequence_labeling_problem&lt; feature_extractor &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::structural_svm_sequence_labeling_problem&lt; feature_extractor &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1structural__svm__sequence__labeling__problem.png" usemap="#dlib::structural_5Fsvm_5Fsequence_5Flabeling_5Fproblem_3C_20feature_5Fextractor_20_3E_map" alt=""/>
  <map id="dlib::structural_5Fsvm_5Fsequence_5Flabeling_5Fproblem_3C_20feature_5Fextractor_20_3E_map" name="dlib::structural_5Fsvm_5Fsequence_5Flabeling_5Fproblem_3C_20feature_5Fextractor_20_3E_map">
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="0,112,666,136"/>
<area href="classdlib_1_1structural__svm__problem__threaded.html" alt="dlib::structural_svm_problem_threaded&lt; matrix&lt; double, 0, 1 &gt;, std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt; &gt;" shape="rect" coords="676,112,1342,136"/>
<area href="classdlib_1_1structural__svm__problem.html" alt="dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt; &gt;" shape="rect" coords="676,56,1342,80"/>
<area href="classdlib_1_1oca__problem.html" alt="dlib::oca_problem&lt; matrix&lt; double, 0, 1 &gt; &gt;" shape="rect" coords="676,0,1342,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1structural__svm__sequence__labeling__problem_1_1map__prob.html">map_prob</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a65fd80dd31a2d663d2d65cd854aea19a"><td class="memItemLeft" align="right" valign="top"><a id="a65fd80dd31a2d663d2d65cd854aea19a"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:a65fd80dd31a2d663d2d65cd854aea19a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac98bb3899aea6e29dcb6131512093479"><td class="memItemLeft" align="right" valign="top"><a id="ac98bb3899aea6e29dcb6131512093479"></a>
typedef std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>feature_vector_type</b></td></tr>
<tr class="separator:ac98bb3899aea6e29dcb6131512093479"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b07c210638b5c29fba9e86c2a2429b6"><td class="memItemLeft" align="right" valign="top"><a id="a7b07c210638b5c29fba9e86c2a2429b6"></a>
typedef feature_extractor::sequence_type&#160;</td><td class="memItemRight" valign="bottom"><b>sequence_type</b></td></tr>
<tr class="separator:a7b07c210638b5c29fba9e86c2a2429b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classdlib_1_1structural__svm__problem__threaded"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1structural__svm__problem__threaded')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix&lt; double, 0, 1 &gt;, std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt; &gt;</a></td></tr>
<tr class="memitem:a04bf53985203ee6a3efac4d3d8b76e72 inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="a04bf53985203ee6a3efac4d3d8b76e72"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:a04bf53985203ee6a3efac4d3d8b76e72 inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b5483a292b416abc7f4889df06a484b inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="a6b5483a292b416abc7f4889df06a484b"></a>
typedef matrix_type::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a6b5483a292b416abc7f4889df06a484b inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add7f306f0797ac554da6ab62f5c1b8f8 inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="add7f306f0797ac554da6ab62f5c1b8f8"></a>
typedef std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>feature_vector_type</b></td></tr>
<tr class="separator:add7f306f0797ac554da6ab62f5c1b8f8 inherit pub_types_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classdlib_1_1structural__svm__problem"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1structural__svm__problem')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt; &gt;</a></td></tr>
<tr class="memitem:a838a31de24d3c3ea3f751c7db337b60f inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a></td></tr>
<tr class="separator:a838a31de24d3c3ea3f751c7db337b60f inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad568aa6bb03f6292f334b6e41201f037 inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="ad568aa6bb03f6292f334b6e41201f037"></a>
typedef matrix_type::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:ad568aa6bb03f6292f334b6e41201f037 inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb703e9adad7faf7987150a9940411f5 inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="acb703e9adad7faf7987150a9940411f5"></a>
typedef std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>feature_vector_type</b></td></tr>
<tr class="separator:acb703e9adad7faf7987150a9940411f5 inherit pub_types_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classdlib_1_1oca__problem"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1oca__problem')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1oca__problem.html">dlib::oca_problem&lt; matrix&lt; double, 0, 1 &gt; &gt;</a></td></tr>
<tr class="memitem:a1349fc70c26000fa04e8329edae78902 inherit pub_types_classdlib_1_1oca__problem"><td class="memItemLeft" align="right" valign="top"><a id="a1349fc70c26000fa04e8329edae78902"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt; ::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a1349fc70c26000fa04e8329edae78902 inherit pub_types_classdlib_1_1oca__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1c6c3b40ff296e429880cccbe9355196"><td class="memItemLeft" align="right" valign="top"><a id="a1c6c3b40ff296e429880cccbe9355196"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>structural_svm_sequence_labeling_problem</b> (const std::vector&lt; sequence_type &gt; &amp;samples_, const std::vector&lt; std::vector&lt; unsigned long &gt; &gt; &amp;labels_, const feature_extractor &amp;fe_, unsigned long num_threads=2)</td></tr>
<tr class="separator:a1c6c3b40ff296e429880cccbe9355196"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5bef3e6541e33f83667df2e90121820"><td class="memItemLeft" align="right" valign="top"><a id="ae5bef3e6541e33f83667df2e90121820"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>num_labels</b> () const</td></tr>
<tr class="separator:ae5bef3e6541e33f83667df2e90121820"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a448d7b26deeee3764fc727fad97d7f5a"><td class="memItemLeft" align="right" valign="top"><a id="a448d7b26deeee3764fc727fad97d7f5a"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_loss</b> (unsigned long <a class="el" href="classdlib_1_1label.html">label</a>) const</td></tr>
<tr class="separator:a448d7b26deeee3764fc727fad97d7f5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1793904d412d82af411879d8c41136f"><td class="memItemLeft" align="right" valign="top"><a id="ad1793904d412d82af411879d8c41136f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_loss</b> (unsigned long <a class="el" href="classdlib_1_1label.html">label</a>, double value)</td></tr>
<tr class="separator:ad1793904d412d82af411879d8c41136f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1structural__svm__problem__threaded"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1structural__svm__problem__threaded')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1structural__svm__problem__threaded.html">dlib::structural_svm_problem_threaded&lt; matrix&lt; double, 0, 1 &gt;, std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt; &gt;</a></td></tr>
<tr class="memitem:a347ede8e4d702c77979e2056ad1f01e1 inherit pub_methods_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="a347ede8e4d702c77979e2056ad1f01e1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>structural_svm_problem_threaded</b> (unsigned long num_threads)</td></tr>
<tr class="separator:a347ede8e4d702c77979e2056ad1f01e1 inherit pub_methods_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a220b80687f913684f9c4bd8ee62848d2 inherit pub_methods_classdlib_1_1structural__svm__problem__threaded"><td class="memItemLeft" align="right" valign="top"><a id="a220b80687f913684f9c4bd8ee62848d2"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_threads</b> () const</td></tr>
<tr class="separator:a220b80687f913684f9c4bd8ee62848d2 inherit pub_methods_classdlib_1_1structural__svm__problem__threaded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1structural__svm__problem"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1structural__svm__problem')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt; &gt;</a></td></tr>
<tr class="memitem:adf6211381551dcc1c317e726b9c193de inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="adf6211381551dcc1c317e726b9c193de"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_cache_based_epsilon</b> () const</td></tr>
<tr class="separator:adf6211381551dcc1c317e726b9c193de inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f75fc47a1080ab072dcbfbc4d6b00a4 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a9f75fc47a1080ab072dcbfbc4d6b00a4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_cache_based_epsilon</b> (scalar_type eps_)</td></tr>
<tr class="separator:a9f75fc47a1080ab072dcbfbc4d6b00a4 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f6201af37da8972ea255d54fd72ddcc inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a6f6201af37da8972ea255d54fd72ddcc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_epsilon</b> (scalar_type eps_)</td></tr>
<tr class="separator:a6f6201af37da8972ea255d54fd72ddcc inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94f764df97c667d062ab4de727b65fc inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="af94f764df97c667d062ab4de727b65fc"></a>
const scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_epsilon</b> () const</td></tr>
<tr class="separator:af94f764df97c667d062ab4de727b65fc inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeb6312b799044b0ac069a3275212a1f inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="abeb6312b799044b0ac069a3275212a1f"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_iterations</b> () const</td></tr>
<tr class="separator:abeb6312b799044b0ac069a3275212a1f inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30904cb3211e8b0d949640d07190906e inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a30904cb3211e8b0d949640d07190906e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_max_iterations</b> (unsigned long max_iter)</td></tr>
<tr class="separator:a30904cb3211e8b0d949640d07190906e inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22f35f2fda4a495b3c96fa485184c343 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a22f35f2fda4a495b3c96fa485184c343"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_max_cache_size</b> (unsigned long max_size)</td></tr>
<tr class="separator:a22f35f2fda4a495b3c96fa485184c343 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af33578f2ee7d08e8f3ca22417197db31 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="af33578f2ee7d08e8f3ca22417197db31"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_cache_size</b> () const</td></tr>
<tr class="separator:af33578f2ee7d08e8f3ca22417197db31 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3523f2952290c55dbc735eeea856dd72 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a3523f2952290c55dbc735eeea856dd72"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_verbose</b> ()</td></tr>
<tr class="separator:a3523f2952290c55dbc735eeea856dd72 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a228877d7935cbda8f87b2e61bd370b9d inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a228877d7935cbda8f87b2e61bd370b9d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_quiet</b> ()</td></tr>
<tr class="separator:a228877d7935cbda8f87b2e61bd370b9d inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbd70c0de1acc5203473d9516ba38516 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="adbd70c0de1acc5203473d9516ba38516"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_c</b> () const</td></tr>
<tr class="separator:adbd70c0de1acc5203473d9516ba38516 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ce4fb486177ef7cbd9517041e797e62 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a4ce4fb486177ef7cbd9517041e797e62"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c</b> (scalar_type C_)</td></tr>
<tr class="separator:a4ce4fb486177ef7cbd9517041e797e62 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb399c2d9096a37939e1243591ce9b3e inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="acb399c2d9096a37939e1243591ce9b3e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_nuclear_norm_regularizer</b> (long first_dimension, long rows, long cols, double regularization_strength)</td></tr>
<tr class="separator:acb399c2d9096a37939e1243591ce9b3e inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa2a57bf3be12498303806340a6668b2 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="afa2a57bf3be12498303806340a6668b2"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>num_nuclear_norm_regularizers</b> () const</td></tr>
<tr class="separator:afa2a57bf3be12498303806340a6668b2 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62fac7b3c8704635590b61484ef12d2c inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a62fac7b3c8704635590b61484ef12d2c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear_nuclear_norm_regularizers</b> ()</td></tr>
<tr class="separator:a62fac7b3c8704635590b61484ef12d2c inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95e2c042ca281db5a2b246eb6a7b1733 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a95e2c042ca281db5a2b246eb6a7b1733"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>separation_oracle</b> (const long idx, const <a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a> &amp;current_solution, scalar_type &amp;loss, feature_vector_type &amp;psi) const=0</td></tr>
<tr class="separator:a95e2c042ca281db5a2b246eb6a7b1733 inherit pub_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acb13b862bdc35ca6c0b1de482188bdfa"><td class="memItemLeft" align="right" valign="top"><a id="acb13b862bdc35ca6c0b1de482188bdfa"></a>
virtual long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_dimensions</b> () const</td></tr>
<tr class="separator:acb13b862bdc35ca6c0b1de482188bdfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9d4c9c3b32c19ccd581a1f0c5545f15"><td class="memItemLeft" align="right" valign="top"><a id="ab9d4c9c3b32c19ccd581a1f0c5545f15"></a>
virtual long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_samples</b> () const</td></tr>
<tr class="separator:ab9d4c9c3b32c19ccd581a1f0c5545f15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28840904a897761a4780622fb1ee44b0"><td class="memItemLeft" align="right" valign="top"><a id="a28840904a897761a4780622fb1ee44b0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_joint_feature_vector</b> (const sequence_type &amp;sample, const std::vector&lt; unsigned long &gt; &amp;<a class="el" href="classdlib_1_1label.html">label</a>, feature_vector_type &amp;psi) const</td></tr>
<tr class="separator:a28840904a897761a4780622fb1ee44b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcd108db0882f1fb41c6d753a0868b34"><td class="memItemLeft" align="right" valign="top"><a id="afcd108db0882f1fb41c6d753a0868b34"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>get_truth_joint_feature_vector</b> (long idx, feature_vector_type &amp;psi) const</td></tr>
<tr class="separator:afcd108db0882f1fb41c6d753a0868b34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76dbc6ba5d5ecb5b0186086577230fdf"><td class="memItemLeft" align="right" valign="top"><a id="a76dbc6ba5d5ecb5b0186086577230fdf"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>separation_oracle</b> (const long idx, const <a class="el" href="classdlib_1_1matrix.html">matrix_type</a> &amp;current_solution, scalar_type &amp;loss, feature_vector_type &amp;psi) const</td></tr>
<tr class="separator:a76dbc6ba5d5ecb5b0186086577230fdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa01d2412ab62ce33622168abfda5c8d5"><td class="memItemLeft" align="right" valign="top"><a id="aa01d2412ab62ce33622168abfda5c8d5"></a>
const std::vector&lt; sequence_type &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>samples</b></td></tr>
<tr class="separator:aa01d2412ab62ce33622168abfda5c8d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8db8117f81bfba3afe6fbec3bb866849"><td class="memItemLeft" align="right" valign="top"><a id="a8db8117f81bfba3afe6fbec3bb866849"></a>
const std::vector&lt; std::vector&lt; unsigned long &gt; &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>labels</b></td></tr>
<tr class="separator:a8db8117f81bfba3afe6fbec3bb866849"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22b5621122e736eced864c7cfccb76c7"><td class="memItemLeft" align="right" valign="top"><a id="a22b5621122e736eced864c7cfccb76c7"></a>
const feature_extractor &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>fe</b></td></tr>
<tr class="separator:a22b5621122e736eced864c7cfccb76c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff6ff9f03d10c2a0d4383128946e6a1a"><td class="memItemLeft" align="right" valign="top"><a id="aff6ff9f03d10c2a0d4383128946e6a1a"></a>
std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>loss_values</b></td></tr>
<tr class="separator:aff6ff9f03d10c2a0d4383128946e6a1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1structural__svm__problem"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1structural__svm__problem')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt; &gt;</a></td></tr>
<tr class="memitem:a1faeda0e0132462aaa230288cbb88d52 inherit pro_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a1faeda0e0132462aaa230288cbb88d52"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>compute_nuclear_norm_parts</b> (const <a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a> &amp;m, <a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a> &amp;grad, scalar_type &amp;obj) const</td></tr>
<tr class="separator:a1faeda0e0132462aaa230288cbb88d52 inherit pro_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6001eb14630a26a0c7382ccfe679b96c inherit pro_methods_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a6001eb14630a26a0c7382ccfe679b96c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>separation_oracle_cached</b> (const long idx, const <a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a> &amp;current_solution, scalar_type &amp;loss, feature_vector_type &amp;psi) const</td></tr>
<tr class="separator:a6001eb14630a26a0c7382ccfe679b96c inherit pro_methods_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classdlib_1_1structural__svm__problem"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classdlib_1_1structural__svm__problem')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classdlib_1_1structural__svm__problem.html">dlib::structural_svm_problem&lt; matrix&lt; double, 0, 1 &gt;, std::vector&lt; std::pair&lt; unsigned long, double &gt; &gt; &gt;</a></td></tr>
<tr class="memitem:afbc4b6143e9697a1ddd37db3ac391d8b inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="afbc4b6143e9697a1ddd37db3ac391d8b"></a>
std::vector&lt; <a class="el" href="structdlib_1_1impl_1_1nuclear__norm__regularizer.html">impl::nuclear_norm_regularizer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>nuclear_norm_regularizers</b></td></tr>
<tr class="separator:afbc4b6143e9697a1ddd37db3ac391d8b inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08a69ca9ec5e61b5640971601b85e0a7 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a08a69ca9ec5e61b5640971601b85e0a7"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>saved_current_risk_gap</b></td></tr>
<tr class="separator:a08a69ca9ec5e61b5640971601b85e0a7 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f18bec5509dc91ac866face713989ec inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a7f18bec5509dc91ac866face713989ec"></a>
<a class="el" href="classdlib_1_1structural__svm__problem.html#a838a31de24d3c3ea3f751c7db337b60f">matrix_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>psi_true</b></td></tr>
<tr class="separator:a7f18bec5509dc91ac866face713989ec inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3912570168deff1227f88dedc82575c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="aa3912570168deff1227f88dedc82575c"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>eps</b></td></tr>
<tr class="separator:aa3912570168deff1227f88dedc82575c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32c1ef15d68ae71e97081c86015c4a00 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a32c1ef15d68ae71e97081c86015c4a00"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>max_iterations</b></td></tr>
<tr class="separator:a32c1ef15d68ae71e97081c86015c4a00 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa63b2b0165646540d4375e0fa95c2364 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="aa63b2b0165646540d4375e0fa95c2364"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>verbose</b></td></tr>
<tr class="separator:aa63b2b0165646540d4375e0fa95c2364 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a55a97dc58c586d1fe7e6d9ba06019c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a3a55a97dc58c586d1fe7e6d9ba06019c"></a>
std::vector&lt; <a class="el" href="classdlib_1_1cache__element__structural__svm.html">cache_element_structural_svm</a>&lt; <a class="el" href="classdlib_1_1structural__svm__problem.html">structural_svm_problem</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>cache</b></td></tr>
<tr class="separator:a3a55a97dc58c586d1fe7e6d9ba06019c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d7ff04fbbc4b3a737b3a26726f9318f inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a4d7ff04fbbc4b3a737b3a26726f9318f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>skip_cache</b></td></tr>
<tr class="separator:a4d7ff04fbbc4b3a737b3a26726f9318f inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78ceaeb40375a9ef47b7444865981224 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a78ceaeb40375a9ef47b7444865981224"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>count_below_eps</b></td></tr>
<tr class="separator:a78ceaeb40375a9ef47b7444865981224 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23b200151db4f019a376f3b83668cc0f inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a23b200151db4f019a376f3b83668cc0f"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>max_cache_size</b></td></tr>
<tr class="separator:a23b200151db4f019a376f3b83668cc0f inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a021b4fe20f91115ef8a6e2a14e360251 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a021b4fe20f91115ef8a6e2a14e360251"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>converged</b></td></tr>
<tr class="separator:a021b4fe20f91115ef8a6e2a14e360251 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab564b7b1d08c7d43bc2653ea7faa93a8 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="ab564b7b1d08c7d43bc2653ea7faa93a8"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>nuclear_norm_part</b></td></tr>
<tr class="separator:ab564b7b1d08c7d43bc2653ea7faa93a8 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abff8d3d10e6af68a3e0b6cd9f960cb87 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="abff8d3d10e6af68a3e0b6cd9f960cb87"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>cache_based_eps</b></td></tr>
<tr class="separator:abff8d3d10e6af68a3e0b6cd9f960cb87 inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a552c537e2ba88270ddcea3a397b8b71c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memItemLeft" align="right" valign="top"><a id="a552c537e2ba88270ddcea3a397b8b71c"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>C</b></td></tr>
<tr class="separator:a552c537e2ba88270ddcea3a397b8b71c inherit pro_attribs_classdlib_1_1structural__svm__problem"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="structural__svm__sequence__labeling__problem_8h_source.html">structural_svm_sequence_labeling_problem.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
